Package skyview.geometry.distorter

# Class Neat.NeatInv

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Distorter
skyview.geometry.distorter.Neat.NeatInv

All Implemented Interfaces:
  `Serializable`, `Component`

Enclosing class:
  `Neat`

public class Neat.NeatInv extends Distorter

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NeatInv()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`String`
`getName()`
A name for this object
`Distorter`
`inverse()`
Get the inverse of the transformation.
`boolean`
`isInverse(Transformer test)`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.
`double[][]`
`jacobian(double[] x)`
Get the local Jacobian for the distortion.
`void`
`transform(double[] in, double[] out)`
Convert a single point where the output vector is supplied.

### Methods inherited from class skyview.geometry.Distorter

`applyBeforeScaling, getInputDimension, getOutputDimension`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NeatInv

public NeatInv()

## Method Details

### getName

public String getName()
Description copied from class: `Distorter`
A name for this object

Specified by:
  `getName` in interface `Component`
Specified by:
  `getName` in class `Distorter`

### getDescription

public String getDescription()
Description copied from class: `Distorter`
What does this object do?

Specified by:
  `getDescription` in interface `Component`
Specified by:
  `getDescription` in class `Distorter`

### isInverse

public boolean isInverse(Transformer test)
Description copied from class: `Transformer`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.

Specified by:
  `isInverse` in class `Transformer`

### inverse

public Distorter inverse()
Description copied from class: `Transformer`
Get the inverse of the transformation. If the order matters, then the inverse is to be applied after the original transformation. This is primarily an issue with Converters.

Specified by:
  `inverse` in class `Distorter`

### transform

public void transform(double[] in, double[] out)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `in` - The input vector.
  `out` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### jacobian

public double[][] jacobian(double[] x)
Description copied from class: `Distorter`
Get the local Jacobian for the distortion. This implementation defers the calculation to the inverse distorter. Clearly this will need to be overriden in either the forward or backward distorter.

Overrides:
  `jacobian` in class `Distorter`
Parameters:
  `x` - The input position.
Returns:
  The Jabobian matrix.